<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
		</tr>
		</table>
		
	</xsl:template>


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
  				<td>
				<table cellpadding="0" cellspacing="0" border="0" height="28">
  				<tr>
  				<td align="right" style="background-image:url(images/menu_itemactive_left.gif); background-repeat: no-repeat;"><div style="width:29px; height:0px;"><spacer/></div>
  				<a href="{@HREF}"><img src="images/mark.gif" width="12" height="12" border="0" alt=""/></a></td>
  				<td class="menuitemactive" style="background-image: url('images/menu_itemactive_bgrpt.gif'); background-repeat: repeat-x;"><nobr><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></nobr></td>
  				<td style="background-image:url(images/menu_itemactive_right.gif); background-repeat: no-repeat;"><div style="width:31px; height:0px;"><spacer/></div></td>
  				</tr>
  				</table>	
				</td>	
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td>
  				<table cellpadding="0" cellspacing="0" border="0" height="28">
  				<tr>
  				<td align="right" style="background-image:url(images/menu_itemactive_left.gif); background-repeat: no-repeat;"><div style="width:29px; height:0px;"><spacer/></div>
  				<img src="images/mark.gif" width="12" height="12" border="0" alt=""/></td>
  				<td class="menuitemactive" style="background-image: url('images/menu_itemactive_bgrpt.gif'); background-repeat: repeat-x;"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></td>
  				<td style="background-image:url(images/menu_itemactive_right.gif); background-repeat: no-repeat;"><div style="width:31px; height:0px;"><spacer/></div></td>
  				</tr>
  				</table>	
				</td>	
            </xsl:when>
            <xsl:otherwise>
				<td>
  				<table cellpadding="0" cellspacing="0" border="0" height="28">
  				<tr>
  				<td align="right" style="background-image:url(images/menu_item_left.gif); background-repeat: no-repeat;"><div style="width:29px; height:0px;"><spacer/></div>
  				<a href="{@HREF}"><img src="images/mark.gif" width="12" height="12" border="0" alt=""/></a></td>
  				<td class="menuitem" style="background-image: url('images/menu_item_bgrpt.gif'); background-repeat: repeat-x;"><nobr><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></nobr></td>
  				<td style="background-image:url(images/menu_item_right.gif); background-repeat: no-repeat;"><div style="width:31px; height:0px;"><spacer/></div></td>
  				</tr>
  				</table>		
				</td>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	   				<td class="secondmenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td class="secondmenudivider" style="background-image: url('images/2ndmenu_divider.gif'); background-position: center center; background-repeat: no-repeat;"><div style="width:13px; height:0px;"><spacer/></div></td>
		</xsl:if>
	</xsl:template>



</xsl:stylesheet>
