<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<td nowrap="nowrap"><xsl:apply-templates select="MENU-ITEM"  mode="top"/></td>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
            	<a href="{@HREF}" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
    	        <xsl:if test="position()!=last()">
					<img src="images/index_11.gif" width="18" height="11" alt=""/>
        	    </xsl:if>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            	<span style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
    	        <xsl:if test="position()!=last()">
					<img src="images/index_11.gif" width="18" height="11" alt=""/>
        	    </xsl:if>
            </xsl:when>
            <xsl:otherwise>
            	<a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
    	        <xsl:if test="position()!=last()">
					<img src="images/index_11.gif" width="18" height="11" alt=""/>
        	    </xsl:if>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="vertical-align: middle;"><img src="images/bulet.gif" border="0" alt=""/></td>
					<td class="text4" style="padding-left: 5px; width: 100%; text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
					<tr>
						<td style="vertical-align: middle;"><a href="{@HREF}"><img src="images/bulet.gif" border="0" alt=""/></a></td>
						<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="text4"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					</tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr><td colspan="2"><img src="images/index_36.gif" width="97" height="1" alt="" style="margin-top: 3px;margin-bottom: 2px;" /></td></tr>
		</xsl:if>
	</xsl:template>
   				

</xsl:stylesheet>
