<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                <td  align="left" valign="middle">
                        <nobr>
                	<a href="{@HREF}" style="text-decoration:underline;"><img src="images/bullet.gif" border="0" style="margin-right:7px;"/></a>
                	<a href="{@HREF}" style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                        </nobr>
                </td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                <td  align="left" valign="middle" style="text-decoration:underline;">
                        <nobr>
                     <img src="images/bullet.gif" border="0" style="margin-right:7px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                        </nobr>
                </td>
            </xsl:when>
            <xsl:otherwise>
                <td  align="left" valign="middle">
                        <nobr>
	                <a href="{@HREF}"><img src="images/bullet.gif" border="0" style="margin-right:7px;"/></a>
	                <a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
	                </nobr>
                </td>
            </xsl:otherwise>
        </xsl:choose>
		<xsl:if test="position()!=last()">
			<td width="10"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1" /></div></td>
	        <td width="8" align="left" valign="middle"><img src="images/index_12.jpg" width="8" height="36"/></td>
			<td width="10"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1" /></div></td>
		</xsl:if>
	</xsl:template>

   				
	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
                <img src="images/index_33.jpg" width="7" height="7" style="margin-right:5px;"/> <b style="text-decoration:underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b><br /> 
   				<xsl:if test="position()!=last()">
	                <img src="images/index_30.jpg" width="97" height="3" vspace="2"/><br /> 
   				</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	                <img src="images/index_33.jpg" width="7" height="7" style="margin-right:5px;"/> <a href="{@HREF}"><b><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></b></a><br />
     				<xsl:if test="position()!=last()">
		                <img src="images/index_30.jpg" width="97" height="3" vspace="2"/><br /> 
     				</xsl:if>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
