<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

 
	<xsl:template match="MENU" mode="sub">
			<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
                    <td class="menuitemactive" style="background-image :url('images/menubgactive.gif'); background-position: top left; background-repeat: repeat-x;"><a class="menuitemactive" href="{@HREF}"  style="background-image :url('images/menubgactive.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/mark.gif" border="0" width="7" height="8" alt="" align="absmiddle" style="margin-right:5px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td><img src="images/menublock.gif" border="0" width="2" height="33" alt="" /></td>
                </xsl:when>
                <!-- when active-->
                <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
                    <td class="menuitemactive"  style="background-image :url('images/menubgactive.gif'); background-position: top left; background-repeat: repeat-x;"><img src="images/mark.gif" border="0" width="7" height="8" alt="" align="absmiddle" style="margin-right:5px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td><img src="images/menublock.gif" border="0" width="2" height="33" alt="" /></td>
                </xsl:when>
                <xsl:otherwise>
                    <td class="menuitem"><a class="menuitem" href="{@HREF}"><img src="images/mark.gif" border="0" width="7" height="8" alt="" align="absmiddle" style="margin-right:5px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td><img src="images/menublock.gif" border="0" width="2" height="33" alt="" /></td>
                </xsl:otherwise>
            </xsl:choose>
	</xsl:template>


<xsl:template match="MENU-ITEM" mode="sub">
	    <xsl:choose>
    	    <xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding-left: 5px"><img src="images/2ndmenumark.gif" border="0" alt=""/></td>
					<td class="secondmenuitemactive" style="padding-left: 5px; width: 100%; height: 24px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				</tr>
             </xsl:when>
             <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px"><a href="{@HREF}"><img src="images/2ndmenumark.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%; height: 24px;"><a href="{@HREF}" class="secondmenuitem"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
				</xsl:if>
             </xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<tr><td colspan="2" bgcolor="#94999e"><div style="width:100px; height:1px;"><spacer type="block" width="100" height="1" /></div></td></tr></xsl:if>
	</xsl:template>

</xsl:stylesheet>
