<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>  


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td style="padding-left: 5px;" background="images/amenu_bg.jpg"><a href="{@HREF}"><img src="images/bullet.gif" class="menu-bullet"/></a></td>
				<td background="images/amenu_bg.jpg" height="43"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<xsl:if test="position()!=last()"><td><img src="images/menu_aseparator.jpg"/></td></xsl:if>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td style="padding-left: 5px;" background="images/amenu_bg.jpg"><img src="images/bullet.gif" class="menu-bullet"/></td>
				<td background="images/amenu_bg.jpg" height="43"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				<xsl:if test="position()!=last()"><td><img src="images/menu_aseparator.jpg"/></td></xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<td style="padding-left: 5px;"><a href="{@HREF}"><img src="images/bullet.gif" class="menu-bullet"/></a></td>
				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>								
				<xsl:if test="position()!=last()"><td><img src="images/menu_separator.jpg"/></td></xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>

</xsl:stylesheet>
