<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="275" valign="top" background="images/001_1.gif"><table width="100%" height="276" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/001.gif" style="background-position:top right;background-repeat:no-repeat;" ><table width="100%" height="275" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" ><table width="100%" height="275" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" background="images/header1.gif" style="background-position:top right;background-repeat:no-repeat;padding-right:255px;"><table width="100%" height="276" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td height="192" style="padding-left:50px;"><!-- LOGO --><table width="300" border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td width="70"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                          <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                          </table></td>
                        </tr>
                        
                      </table><!-- END LOGO --></td>
                    </tr>
                    <tr>
                      <td height="45"><table width="100%" height="45" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="51"><img src="images/002.gif" width="51" height="45"/></td>
                            <td background="images/002_1.gif" height="39" width="100%"><!-- MENU --><table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                  <xsl:call-template name="TOP-MENU"/>
                                </tr>
                            </table><!-- END MENU --></td>
                            <td width="41"><img src="images/002_2.gif" width="41" height="45"/></td>
                          </tr>
                      </table></td>
                    </tr>
                    <tr>
                      <td height="39"><table width="100%" height="39" border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="51" valign="top"><img src="images/003.gif" width="51" height="39"/></td>
                            <td background="images/003_1.gif" width="100%"> <!-- SUBMENU --><table border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                              </tr>
                            </table> <!-- END SUBMENU --></td>
                            <td width="41" valign="top"><img src="images/003_2.gif" width="41" height="39"/></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" background="images/004.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" background="images/004_1.gif" style="background-position:top ;background-repeat:repeat-x;"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="32" valign="top"><img src="images/004_2.gif" width="32" height="12"/></td>
            <td width="1" background="images/line.gif" style="background-position:top ;background-repeat:repeat-y;"><div valign="top"><img src="images/011.gif" /></div></td>
            <td valign="top">  <!-- CONTENT --><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="50" valign="top" background="images/008.gif"><table height="50" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td background="images/008_1.gif" class="pathway" style="padding-left:30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td width="25" background="images/008_1.gif"><div align="center"><img src="images/009.gif" width="17" height="17"/></div></td>
                    <td width="64" background="images/008_1.gif"><img src="images/008_2.gif" width="64" height="50"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td valign="top" style="padding-top:20px;padding-bottom:30px;padding-left:30px;padding-right:30px;"><table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
                  <tr>
                    <td ><table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
</td></tr>
                </table> </td>
              </tr>
            </table> <!-- END CONTENT --></td>
            <td width="1" background="images/line.gif" style="background-position:top ;background-repeat:repeat-y;"><div valign="top"><img src="images/011.gif" /></div></td>
            <td width="32" valign="top"><img src="images/004_2.gif" width="32" height="12"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="11" background="images/005.gif" style="background-position:top ;background-repeat:repeat-x;"></td>
  </tr>
  <tr>
    <td height="1" background="images/006.gif" style="background-position:top ;background-repeat:repeat-x;"></td>
  </tr>
  <tr>
    <td height="34" background="images/007.gif" style="padding-left:37px;padding-right:37px;padding-top:15px;padding-bottom:15px;">
	<!-- BOTTOM MENU -->
	<table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table><!-- END BOTTOM MENU --></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


 <td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


 <td><div align="center"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 <td width="22" valign="bottom"><img src="images/010_3.gif"/></td>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>

           </xsl:when>
           <xsl:otherwise>

<td><div align="center"><a href='{@HREF}'  class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

 <td width="22" background="images/010_2.gif" ></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
