<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" rel="stylesheet" type="text/css" />
      </head>
      <body rightmargin="0" topmargin="0" leftmargin="0" bottommargin="0">
        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg">
          <tr>
            <td height="249px">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td height="100%" width="207px" style="background-image: url(images/header.jpg);">
                    <div style="width: 207px">
                    </div>
                  </td>
                  <td height="100%">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td>
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url(images/VAP-24_04.jpg)">
                          <td style="background-image: url(images/header4.jpg); background-repeat:no-repeat;background-position:left; text-align:left" height="122px" width="100%">
                            <table cellpadding="0" cellspacing="0" border="0" >
                              <tr>
                                <td class="company">
                                  <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>                                
                                </td>
                                <td style="padding-left:5px">
                                  <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                                </td>
                              </tr>
                            </table>
                            <div style="width: 571px">
                            </div>
                          </td>
                          </table>
                        </td>
                        <td style="background-image: url(images/VAP-24_04.jpg)" height="122px" width="1px">
                          <div style="width: 1px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td>
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url(images/VAP-24_06.jpg)">
                            <tr>
                            <td style="background-image: url(images/header5.jpg); padding-top:20px;background-poisition:left; background-repeat:no-repeat;padding-right:100px " height="127px"  width="100%" align="right" valign="top">
                              <div style="width: 471px">
                              </div>
                              <table cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                  <td class="slogan">
                                    <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                  </td>
                                </tr>
                              </table>
                            </td>
                          </tr>
                          </table>
                        </td>
                        <td style="background-image: url(images/VAP-24_06.jpg)" height="127px" width="1px">
                          <div style="width: 1px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="100%">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td height="100%" width="63px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="112px" width="63px" style="background-image: url(images/header2.jpg); height: 112px">
                          <div style="width: 63px;">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="63px" style="background-image: url(images/VAP-24_18.jpg); ">
                          <div style="width: 63px; height: 1px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="100%" width="63px" style="background-image: url(images/VAP-24_21.jpg);background-repeat:repeat-x;background-position:top" class="bottom-bg">
                          <div style="width: 63px; height: 100px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td height="100%" width="28px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="29px" style="background-image: url(images/header3.jpg);">
                          <div style="width: 28px;">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="100%" style="background-image: url(images/VAP-24_14.jpg);">
                          <div style="width: 28px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="30px" style="background-image: url(images/VAP-24_25.jpg);">
                          <div style="width: 28px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td height="100%">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="70px" width="349px" style="background-image: url(images/VAP-24_09.jpg); padding-left:10px">
                          <div style="width: 339px">
                          </div>
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <td>
                                <img src="images/VAP-24_content.gif" />
                              </td>
                              <td style="padding-left:5px" class="text-header">
                                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td height="70px" width="100%" style="background-image: url(images/VAP-24_10.jpg)">
                          <div style="width: 61px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" style="vertical-align: top; text-align: left; background-color: white; padding-left:5px" class="pageContent" name="SB_stretch">
                          <xsl:apply-templates select="PAGE-CONTENT"/>
                        </td>
                      </tr>
                      <tr>
                        <td colspan="2" height="8px" width="100%" style="background-image: url(images/VAP-24_27.jpg); ">
                          <div style="width: 410px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td height="100%" width="28px;">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="29px" style="background-image: url(images/VAP-24_11.jpg);">
                          <div style="width: 28px;">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="100%" style="background-image: url(images/VAP-24_15.jpg);">
                          <div style="width: 28px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="30px" style="background-image: url(images/VAP-24_26.jpg);">
                          <div style="width: 28px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td >
                  <td height="100%" width="179px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="32px" width="179px" style="background-image: url(images/VAP-24_12.jpg)">
                          <div style="width: 179px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="100%" valign="top" class="menu-bg" >
                          <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <xsl:call-template name="TOP-MENU"/>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td height="100px" width="179px">
                          <table cellpadding="0" cellspacing="0" border="0" width="179px" height="100%">
                            <tr>
                              <td width="159px" height="100%" style="background-position: right bottom; background-image: url(images/VAP-24_53.jpg); padding-left:10px; padding-top:12px; vertical-align: top; text-align: left; background-repeat: no-repeat;" class="submenu-bg">
                                <table cellpadding="0" cellspacing="0" border="0" width="138px">
                                  <xsl:call-template name="SUB-MENU">
                                    <xsl:with-param name="pageID" select="@ID"/>
                                  </xsl:call-template>
                                </table>
                              </td>
                              <td width="20px" height="100%" style="background-image: url(images/VAP-24_56.jpg); " class="menu-bg">
                                <div style="width:20px"></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td height="33px" style="background-image: url(images/VAP-24_32.jpg)" width="179px">
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td height="100%" width="72px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td height="112px" width="72px" style="background-image: url(images/VAP-24_13.jpg); ">
                          <div style="width: 72px;">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="72px" style="background-image: url(images/VAP-24_18.jpg); ">
                          <div style="width: 72px; height: 1px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td height="100%" width="72px" style="background-image: url(images/VAP-24_21.jpg);background-repeat:repeat-x;background-position:top" class="bottom-bg">
                          <div style="width: 72px; height: 100px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td height="59px" align="center" valign="middle" style="padding-top:15px" class="bottom-bg">
              <table cellpadding="0" cellspacing="0" border="0" >
                <tr>
                  <td height="24px">
                    <table cellpadding="0" cellspacing="0" border="0" height="100%">
                      <tr>
                        <xsl:call-template name="BOTTOM-MENU"/>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td align="center" valign="middle" class="footer" style="padding-top:5px">
                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>

      </body>
    </html>

  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="5px" height="6px">
            <img src="images/VAP-24_button3.gif" border="0"/>
          </td>
          <td style="padding-left:3px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="5px" height="6px">
              <a href="{@HREF}">
                <img src="images/VAP-24_button3.gif" border="0"/>
              </a>
            </td>
            <td style="padding-left:3px">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td height="10px" colspan="2">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" > 
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="bmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td style="padding-left:10px; padding-right:10px;text-align: center" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <img src="images/VAP-24_bottom.gif" border="0" />
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="."/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
