<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
   		<TD colspan="2" width="780" height="32" valign="top" class="menu-bg">
		<table cellpadding="0" cellspacing="0">
			<tr>
				<td width="25"></td>
				<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
   			</tr>
   		</table>
   		</TD>
	</xsl:template>
 

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
   				<td><img src="images/separator.gif" style="margin-top: 2px;"/></td>
   				<td width="10"></td>
   				<td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="10"></td>
            </xsl:when>
            <!-- when active-->
            <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
   				<td><img src="images/separator.gif" style="margin-top: 2px;"/></td>
   				<td width="10"></td>						
   				<td class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
   				<td width="10"></td>
            </xsl:when>
            <xsl:otherwise>
   				<td><img src="images/separator.gif" style="margin-top: 2px;"/></td>
   				<td width="10"></td>
   				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="10"></td>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>								
   					<td><img src="images/submenu_bullet.gif"/></td>
   					<td style="padding-left: 5px" height="20" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
   				</tr>	
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
     				<tr>								
     					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
     					<td style="padding-left: 5px" height="20" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
     				</tr>							
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
